import * as yaml from 'yaml';
import * as fs from 'fs';

export interface EnterData {
  name: string;
  address: string;
  location: string;
  weight: number;
}

export interface CheckConfig {
  checkPort: number;
  checkTimeout: number;
  checkInterval: number;
}

export interface Config extends CheckConfig {
  enters: EnterData[];
}

export default function config(): Config {
  return yaml.parse(fs.readFileSync('./config.yaml', 'utf-8'));
}
